/*
 * Document.java
 *
 * Created on 3 dcembre 2002, 15:45
 */

package adelfeToolkit.activities;

/** A Document object points to a document which may be produced by the user during
 * the design.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class Document extends WorkProduct implements ToolTipable {
  
  /** Creates a new instance of Document */
  public Document() {
  }
  
  /** This method returns a string that represents the current state of the
   * workproduct (accessible, completed, relative file, ...).
   * @return The string that represents the state of the workproduct.
   */  
  public String displayString() {
    return ("Document:"+getName()+" ; "+"file:"+getFile()+" ; "+"producted:"+isProducted()+" ; "+"state:"+getState());
  }
  
}
