/*
 * WorkDefinition.java
 *
 * Created on 18 fvrier 2003, 09:48
 */

package adelfeToolkit.activities;


import java.io.Serializable;

/** A workDefinition is a set of Activities.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class WorkDefinition implements Serializable, ToolTipable{
  
  /** the list of activities contained by the WorkDefinition. */  
  private ActivityList activityList;
  
  /** Creates a new instance of WorkDefinition */
  public WorkDefinition() {
  }
  
  /** Getter for property activities.
   * @return Value of property activities.
   *
   */
  public ActivityList getActivities() {
    return activityList;
  }
  
  /** Setter for property activities.
   * @param activities New value of property activities.
   *
   */
  public void setActivities(ActivityList activities) {
    this.activityList = activities;
  }
  
  /** This method returns a string that represents the current state of the
   * work definition (accessible, completed, relative file, ...).
   * @return The string that represents the current state of the
   * work definition
   */  
  public String displayString() {
    return "";
  }
  
}
