/*
 * OpenToolListener.java
 *
 * Created on 18 juin 2003, 10:18
 */

package adelfeToolkit.openTool;

/** This interface is implemented by classes abe to listen to
 * <CODE>OpenToolMessageEvent</CODE>
 * @author IRIT - Toulouse (projet ADELFE)
 */
public interface OpenToolMessageListener {
  
  /** This method is called when an <CODE>OpenToolMessageEvent</CODE> is received
   * @param evt the received event
   */  
  public void openToolMessageReceived(OpenToolMessageEvent evt); 
  
}
