/*
 * SocketMessageParser.java
 *
 * Created on 1 juillet 2003, 16:34
 */

package adelfeToolkit.openTool;

/** This class owns static methods to parse message coming from OT socket
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class SocketMessageParser {
  
  /** Creates a new instance of SocketMessageParser */
  public SocketMessageParser() {
  }
  
  /** This method extracts the class of the entity corresponding to the message
   * @param m the message to parse
   * @return the class of the entity
   * @see adelfeToolkit.module.Validator
   */  
  public static String extractEntityClass(String m){
    return m.substring(m.lastIndexOf('_')+1, m.length());
  }
}
