/*
 * OpenToolMessageAnalyzer.java
 *
 * Created on 18 juin 2003, 13:55
 */

package adelfeToolkit.openTool.interpreter;

/** This class analyzes message from OpenTool. It extract properties from String
 * message.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenToolMessageAnalyzer {
  
  /** class diagram */  
  protected static String CD = "CD";
  /** use case diagram */  
  protected static String UCD = "UCD";
  /** protocol diagram */  
  protected static String PD = "PD";
  /** sequence diagram */  
  protected static String SD = "SD";
  /** package class diagram */  
  protected static String PCD = "PCD";
  /** figure */  
  protected static String FIG = "FIG";
  /** agent class diagram */  
  protected static String ACD = "ACD";  
  
  /** extract the type of the message
   * @param message a String representing a message from OpenTool
   * @return a String representing the type of the message
   */  
  public static String getType(String message) {
    return message;
  }
  
  /** extract the name of the entity in the message
   * @param message a String representing a message from OpenTool
   * @return a String representing the name of the message
   */  
  public static String getName(String message) {
    return message;
  }
}
