/*
 * PrintableComponentOwner.java
 *
 * Created on 10 juin 2003, 11:46
 */

package adelfeToolkit.print;

import java.awt.print.Printable;

/** This interface is implented by classes that owns a printable component, in order
 * to get it
 * @author IRIT - Toulouse (projet ADELFE)
 */
public interface PrintableComponentOwner {
  
  /** Getter for the printable component of the PrintableComponentOwner
   * @return the printable component
   */  
  public Printable getPrintableComponent();
  
}
