/*
 * CreateAndOpenCD.java
 *
 * Created on 2 avril 2003, 19:28
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to create and open class diagrams
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class CreateAndOpenCD extends OpenToolBatchCommandShortcut {
  
  /** Creates a new instance of CreateAndOpenCD */
  public CreateAndOpenCD() {
  }
  
  /** Creates a new instance of CreateAndOpenCD with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public CreateAndOpenCD(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("THIS.system.getRoot();$NO(ALL UMLClassDiagram[name=\""+getProjectName()+"_CD\"])IF TRUE:{NEW UMLClassDiagram.{initialize();name:=\""+getProjectName()+"_CD\";diagram_title:=name;display_title:=TRUE;system:=THIS.system};THIS.system.getRoot();ALL UMLClassDiagram[name=\""+getProjectName()+"_CD\"].open}IF FALSE:{INFO(\"Diagram already exists\");ALL UMLClassDiagram[name=\""+getProjectName()+"_CD\"].open};\"_CAOCD\";");
  }
}
