/*
 * OpenAgentsCD.java
 *
 * Created on 2 avril 2003, 19:23
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to create and open class diagram
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenAgentsCD extends OpenToolBatchCommandShortcut{
  
  /** Creates a new instance of OpenAgentsCD */
  public OpenAgentsCD() {
  }
  
  /** Creates a new instance of OpenAgentsCD with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenAgentsCD(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("THIS.system.getRoot();$NO(THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Agents_CD\"])IF TRUE:{INFO(\"Class Diagram do not exist. Either you have changed its name or you has to create it\");}IF FALSE:{THIS.system.getRoot();THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Agents_CD\"].open};\"_OACD\";");
  }
}