/*
 * OpenCD.java
 *
 * Created on 2 avril 2003, 19:23
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to open class diagram
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenCD extends OpenToolBatchCommandShortcut{
  
  /** Creates a new instance of OpenCD */
  public OpenCD() {
  }
  
  /** Creates a new instance of OpenCD with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenCD(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("$NO(ALL UMLClassDiagram[name=\""+getProjectName()+"_CD\"])IF TRUE:{INFO(\"Class Diagram do not exist. Either you have changed its name or you has to create it\");}IF FALSE:{THIS.system.getRoot();ALL UMLClassDiagram[name=\""+getProjectName()+"_CD\"].open};\"_OCD\";");
  }
}