/*
 * OpenPD.java
 *
 * Created on 4 avril 2003, 15:57
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to open a Protocol diagram
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenPD extends OpenToolBatchCommandShortcut{
  
  /** Creates a new instance of OpenPD */
  public OpenPD() {
  }
  
  /** Creates a new instance of OpenPD with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenPD(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("THIS.system.getRoot();$NO(ALL UMLGenericSequenceDiagram[isAdelfeProtocol])IF TRUE:{INFO(\"Protocol Diagrams do not exist. You have to make them from your agents' package\");}IF FALSE:{THIS.system.getRoot();(ALL UMLSequenceDiagram).{EACH.open;EACH.name}};\"_OPD\";");
  }  
}
