/*
 * ShortCutClickedEvent.java
 *
 * Created on 18 juin 2003, 10:19
 */

package adelfeToolkit.shortcuts;

/** This event informs if a shortcut has been clicked.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class ShortCutClickedEvent extends java.util.EventObject {
  
  /** the origine of the event. It is used to specify a second source object or
   * precision
   */  
  String origine;
  
  /** Creates a new instance of ShortCutClickedEvent
   * @param origin the origine of the event
   * @param source The source of the event.
   */
  public ShortCutClickedEvent(Object source, String origin) {
    super(source);
    origine = origin;
  }
  
  /** Getter for property origine.
   * @return Value of property origine.
   *
   */
  public java.lang.String getOrigine() {
    return origine;
  }
  
  /** Setter for property origine.
   * @param origine New value of property origine.
   *
   */
  public void setOrigine(java.lang.String origine) {
    this.origine = origine;
  }
  
}
