/*
 * LogWriter.java
 *
 * Created on 5 avril 2003, 11:26
 */

package adelfeToolkit.utilities;

/** This interface defines classes ables to write in the log file
 * @author IRIT - Toulouse (projet ADELFE)
 */
public interface LogWriter {
  
  /** This method write an output in the log file
   * @param s the message to write in the log file
   */  
  void printOutLog(String s);
  
  /** This method write an error in the log file
   * @param s the message to write in the log file
   */  
  void printErrLog(String s);
  
}
