/*
 * Discipline.java
 *
 * Created on 18 fvrier 2003, 09:50
 */

package adelfeToolkit.activities;

import java.io.Serializable;

/** A Discipline is a set of activities in a competence view point.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class Discipline implements Serializable{
  
  /** An ActivityList is a Vector of Activity objects. */  
  private ActivityList activityList;
  
  /** Creates a new instance of Discipline */
  public Discipline() {
  }
  
  /** Getter for property activityList.
   * @return Value of property activityList.
   */
  public ActivityList getActivityList() {
    return activityList;
  }
  
  /** Setter for property activityList.
   * @param activityList New value of property activityList.
   */
  public void setActivityList(ActivityList activityList) {
    this.activityList = activityList;
  }
  
}
