/*
 * Model.java
 *
 * Created on 3 dcembre 2002, 16:06
 */

package adelfeToolkit.activities;

/** A Model points to a file that contains a model produced by OpenTool or another
 * specification tool.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class Model extends WorkProduct implements ToolTipable {
  
  /** Creates a new instance of Model */
  public Model() {
  }
  
  /** This method returns a string that represents the current state of the
   * model (accessible, completed, relative file, ...).
   * @return The string that represents the state of the model.
   */  
  public String displayString() {
    return ("Model:"+getName()+" ; "+"file:"+getFile()+" ; "+"producted:"+isProducted()+" ; "+"state:"+getState());
  }
  
}
