/*
 * ToolTipable.java
 *
 * Created on 28 mars 2003, 10:26
 */

package adelfeToolkit.activities;

/** This interface is used to expressd that a class may have a tooltip
 * representation. It implies that a tooltipable class must have the displayString
 * method.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public interface ToolTipable {
  
  /** This method returns the string to appear in the tooltip.
   * @return The string to appear in the tooltip.
   */  
  public String displayString();
  
}
