/*
 * InitSocketFailedException.java
 *
 * Created on 4 avril 2003, 14:05
 */

package adelfeToolkit.exceptions;

/** This exception is used to indicates a failure during a socket initalization.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class InitSocketFailedException extends Exception {
  
  /** Creates a new instance of InitSocketFailedException */
  public InitSocketFailedException() {
  }
  
  /** Creates a new instance of InitSocketFailedException
   * @param message The message to display
   * @param cause The cause of the failure.
   */  
  public InitSocketFailedException(String message, Throwable cause) {
    super(message,cause);
  }  
}
