/*
 * ProcessFailedException.java
 *
 * Created on 4 avril 2003, 13:59
 */

package adelfeToolkit.exceptions;

/** This exception indicates a failure in creating a process.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class ProcessFailedException extends Exception {
  
  /** Creates a new instance of ProcessFailedException */
  public ProcessFailedException() {
  }
  
  /** Creates a new instance of ProcessFailedException
   * @param message The message to display.
   * @param cause The cause of the failure.
   */  
  public ProcessFailedException(String message, Throwable cause) {
    super(message,cause);
  }
  
}
