/*
 * shortcutButton.java
 *
 * Created on 25 fvrier 2003, 11:23
 */

package adelfeToolkit.gui;

import adelfeToolkit.shortcuts.Shortcut;

/**
 *
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class ShortcutButton extends javax.swing.JButton {
  
  private Shortcut shortcut;
  
  /** Creates a new instance of shortcutButton */
  public ShortcutButton() {
  }
  
  public ShortcutButton(Shortcut shortcut) {
    setShortcut(shortcut);
  }
  
  /** Getter for property shortcut.
   * @return Value of property shortcut.
   *
   */
  public Shortcut getShortcut() {
    return shortcut;
  }
  
  /** Setter for property shortcut.
   * @param shortcut New value of property shortcut.
   *
   */
  public void setShortcut(Shortcut shortcut) {
    this.shortcut = shortcut;
  }
  
}
