/*
 * LanguageChangeListener.java
 *
 * Created on 12 fvrier 2003, 10:59
 */

package adelfeToolkit.language;

/** This interface is used to implements classes able to listen to and process
 * languageChangeEvents
 * @author IRIT - Toulouse (projet ADELFE)
 */
public interface LanguageChangeListener {

  /** The method to execute when a language change occur
   * @param evt the received event
   */  
    public void LanguageChanged(LanguageChangeEvent evt);
}