/*
 * ActionExitedListener.java
 *
 * Created on 18 juin 2003, 10:18
 */

package adelfeToolkit.modules;

/** this interface is implemented by classes able to listen to
 * <CODE>ActionExitedReceived</CODE> events
 * @author IRIT - Toulouse (projet ADELFE)
 */
public interface ActionExitedListener {
  
  /** this method is called when an <CODE>ActinoExitedReceived</CODE> event is
   * received
   * @param evt the received event
   */  
  public void actionExited(ActionExitedEvent evt); 
  
}
