package adelfeToolkit.modules;

/*
 * SynthesisModule.java
 *
 * Created on 2 dcembre 2002, 10:17
 */

import adelfeToolkit.AdelfeToolkit;
import adelfeToolkit.gui.SynthesisModuleUI;

/**
 *
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class SynthesisModule implements java.io.Serializable, adelfeToolkit.utilities.LogWriter {
  
  private AdelfeToolkit owner;
  
  private SynthesisModuleUI uI;
  
  /** Creates a new instance of SynthesisModule */
  public SynthesisModule() {
  }
  
  public SynthesisModule(AdelfeToolkit own) {
    owner = own;
  }
  
  public void setUI(SynthesisModuleUI u) {
    uI = u;
  }
  
  public SynthesisModuleUI getUI() {
    return uI;
  }
  
  public void printErrLog(String s) {
      this.owner.printlnLogFileErr("SynthesisModule::"+s);
    }
    
    public void printOutLog(String s) {
      this.owner.printlnLogFileOut("SynthesisModule::"+s);
    }
  
}
