/*
 * CreateAndOpenPackagesCD.java
 *
 * Created on 4 avril 2003, 15:57
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to create and open class diagrams for package
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class CreateAndOpenPackagesCD extends OpenToolBatchCommandShortcut{
  
  /** Creates a new instance of CreateAndOpenPackagesCD */
  public CreateAndOpenPackagesCD() {
  }
  
  /** Creates a new instance of CreateAndOpenPackagesCD with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */
  public CreateAndOpenPackagesCD(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OOTScript command
   */  
  public String otCommand() {
    return ("THIS.system.getRoot();$NO(THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Packages_CD\"])IF TRUE:{NEW UMLClassDiagram.{initialize();name:=\""+getProjectName()+"_Packages_CD\";diagram_title:=name;display_title:=TRUE;system:=THIS.system};THIS.system.getRoot();THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Packages_CD\"].open}IF FALSE:{INFO(\"Diagram already exists\");THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Packages_CD\"].open};\"_CAOPCD\";");
  }
}
