/*
 * OpenAMASAdequacyTool.java
 *
 * Created on 3 avril 2003, 11:01
 */

package adelfeToolkit.shortcuts;

/** This shortcut points to the AMAS adequacy Tool.
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenAMASAdequacyTool extends ShellCommandShortcut {
  
  /** Creates a new instance of OpenAMASAdequacyTool */
  public OpenAMASAdequacyTool() {
  }
  
  /** Creates a new instance of OpenAMASAdequacyTool with initial values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenAMASAdequacyTool(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
    this.setType(Shortcut.ADEQUACY_TOOL_COMMAND);
  }  
}
