/*
 * OpenAcrobat.java
 *
 * Created on 3 avril 2003, 10:31
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a shell command to open Adobe Acrobat Reader
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenAcrobat extends ShellCommandShortcut {
  
  /** Creates a new instance of OpenAcrobat */
  public OpenAcrobat() {
  }
  /** Creates a new instance of OpenAcrobat with initial values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenAcrobat(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
    setType(Shortcut.ACROBAT_COMMAND);
  }
  
  /** This method construct a shell command to open Adobe Acrobat Reader
   * @return the shell command
   */  
   public String shellCommand() {
    return (this.getPath());
  }
}
