/*
 * OpenPackagesCD.java
 *
 * Created on 2 avril 2003, 19:23
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to open package class diagram
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenPackagesCD extends OpenToolBatchCommandShortcut{
  
  /** Creates a new instance of OpenPackagesCD */
  public OpenPackagesCD() {
  }
  
  /** Creates a new instance of OpenPackagesCD with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenPackagesCD(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("THIS.system.getRoot();$NO(THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Packages_CD\"])IF TRUE:{INFO(\"Class Diagram do not exist. Either you have changed its name or you has to create it\");}IF FALSE:{THIS.system.getRoot();THIS.getTop.*(subsystems).diagrams[EACH ISA UMLClassDiagram][name=\""+getProjectName()+"_Packages_CD\"].open};\"_OPCD\";");
  }
}