/*
 * OpenSD.java
 *
 * Created on 2 avril 2003, 18:55
 */

package adelfeToolkit.shortcuts;

/** This shortcut contains a command to open sequence diagrams
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class OpenSD extends OpenToolBatchCommandShortcut {
  
  /** Creates a new instance of OpenSD */
  public OpenSD() {
  }
  
  /** Creates a new instance of OpenSD with initail values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public OpenSD(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
  }
  
  /** this method construct the OTScript command
   * @return the OTScript command
   */  
  public String otCommand() {
    return ("$NO(ALL UMLSequenceDiagram)IF TRUE:{INFO(\"Sequence Diagrams do not exist. You have to make them from use cases\");$NO(ALL UMLUseCaseDiagram[name=\""+getProjectName()+"_UCD\"])	IF TRUE:{	INFO(\"Use Case Diagram do not exist. Either you have changed its name or you has to create it\");}IF FALSE:{THIS.system.getRoot();ALL UMLUseCaseDiagram[name=\""+getProjectName()+"_UCD\"].open}}IF FALSE:{THIS.system.getRoot();(ALL UMLSequenceDiagram).{EACH.open;EACH.name}};\"_OSD\";");
  }
  
}
