/*
 * ShellCommandShortcut.java
 *
 * Created on 28 fvrier 2003, 09:48
 */

package adelfeToolkit.shortcuts;

/** A ShellCommandShortcut is a shortcut with a SHELL command
 * @author IRIT - Toulouse (projet ADELFE)
 */
public class ShellCommandShortcut extends Shortcut{
  
  /** Creates a new instance of ShellCommandShortcut */
  public ShellCommandShortcut() {
  }
  
  /** Creates a new instance of ShellCommandShortcut with initial values:
   * @param projectName the name of the project
   * @param name initial value for name field
   * @param url initial value for url field
   */  
  public ShellCommandShortcut(String name, String url, String projectName) {
    setName(name);
    setIconUrl(url);
    setProjectName(projectName);
    setType(Shortcut.SHELL_COMMAND);
  }
  
  /** This method construct a shell command
   * @return the shell command
   */  
  public String shellCommand() {
    return "";
  }
  
}
