/*
 * ShortCutClickedListener.java
 *
 * Created on 18 juin 2003, 10:18
 */

package adelfeToolkit.shortcuts;

/** This interface is implemented by classes able to listen to ShortCutClickedEvents
 * @author IRIT - Toulouse (projet ADELFE)
 */
public interface ShortCutClickedListener {
  
  /** this method is called when a ShortCutClickedEvent is received
   * @param evt the received event
   */  
  public void shortCutClicked(ShortCutClickedEvent evt);
  
}
