package adequation.Fenetre;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.JPanel;

import adequation.ressources.Ressources;


/**
 * Titre :        ADELFE
 * Description :  Atelier pour le DEveloppement de Logiciels a Fonctionnalite Emergente
 * Copyright :    Copyright (c) 2001
 * Socit :      Artal Technologie
 * @author Spey
 * @version 1.0
 */


public class Resultat extends JPanel
{

/*******************************/
/********** Attributs **********/
/*******************************/

/** identifiant unique */
	private int _id;

/** appartenance au resultat systeme (ou composants) */
	boolean _systeme;





/***********************************/
/********** Constructeurs **********/
/***********************************/

/*******************************************************************************************/
/** constructeur parametre */
    public Resultat(int id, boolean systeme)
	{
		// construction du panneau
		super();

		// initialisation de l'identifiant
		_id=id;

		// initialisation du bool
		_systeme = systeme;
    }





/*************************************/
/********** Autres mthodes **********/
/*************************************/

/*******************************************************************************************/
/** repeind le panneau */
    public void paint(Graphics g)
	{
	    // determination de la couleur suivant le ai
		int couleur = 0;

		// si c'est une bande du resultat global
		if (_systeme)
		{
			couleur = (int)(255-Ressources.getInstance().getGlissieres().getSommeAiSysteme()[_id]);
		}

		else
		{
			couleur = (int)(255-Ressources.getInstance().getGlissieres().getSommeAiComposants()[_id]);
		}

		// Recuperation des couleurs caracterisant le degrade
		Color degrade_couleur = Ressources.getInstance().getResultatDegradeCouleurIndicatrice();
		Color degrade_fond = Ressources.getInstance().getResultatDegradeCouleurFond();

		// Mise a jour de la couleur
		g.setColor(new Color((couleur*(degrade_couleur.getRed()-degrade_fond.getRed())/255)+degrade_fond.getRed(),
					   (couleur*(degrade_couleur.getGreen()-degrade_fond.getGreen())/255)+degrade_fond.getGreen(),
					   (couleur*(degrade_couleur.getBlue()-degrade_fond.getBlue())/255)+degrade_fond.getBlue()));
//		g.setColor(new Color((couleur*215/255)+40,(couleur*195/255)+60,160-(couleur*60/255)));
//		g.setColor(new Color(couleur/Ressources.getResultatRouge(),couleur/Ressources.getResultatVert(),couleur/Ressources.getResultatBleu()));

		// application de la couleur
		g.fillRect(0, 0, 10, 50);
    }

}
// fin de la classe Resultat
